html{
    font-size: 62.5%;
}

* {
    margin:0;
    padding: 0;
    box-sizing: border-box;
}

body{

    font-size: 16px;
    font-family: Arial, sans-serif; 
    margin: 0;
    padding: 0;
    justify-items: center;

}
/* Con esto convierto 1rem = 10px*/


header {
    position: relative;
    /*text-align: center;*/
    width: 100%;
    /*height: 300px; /* Ajusta la altura según sea necesario */
}

header img {
    width: 100%;
    height: auto; /*100%;*/
    /*object-fit: cover; /* Asegura que la imagen cubra todo el contenedor */
    display: block; /* Se agrego para responsive de header*/
}

.covertor {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    background: rgba(0, 0, 0, 0.3); /* Fondo oscuro transparente */
    color: white;
    padding: 20px;
    border-radius:10px;
}

/*.titulo {
   width: 50%;
}*/
.titulo a{
    /*text-align: center;*/
    text-decoration: none;
    color: rgb(241, 241, 245);
    font-size: 35px;
    
}


.titulo span{
    font-weight: bold;
}

/* ESTILO PARA EL TITULO */
.covertor h1 {
    width: 100%;
    font-size: 15px;
    margin-bottom: 20px;
    text-align: center;

}

.nav1 {
    margin-top: 15px;
}

.nav-links {
    display: flex;
    gap: 15px;
}

.nav-links a {
    text-decoration: none;
    color: white;
    font-size: 30px;
    padding: 8px 15px;
    transition: 0.3s;
}

.nav-links a:hover {
    background: rgba(255, 255, 255, 0.3);
    border-radius: 5px;
}

/* Estilos para móviles */
.menu-toggle {
    display: none;
    background: none;
    border: none;
    font-size: 30px;
    color: white;
    cursor: pointer;
}


/* Estilo para el nav 

.covertor .nav1 {
    width: 50%; 
    position: absolute;
    Top:2rem;
    
}

.covertor .nav1 a {

    list-style: none;
    display: flex;
    gap: 20px;
    display: inline-block;
    color: white;
    text-decoration: none;
    font-size: 1.6rem;
    padding: 10px 20px;
    border: 2px solid white;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

.covertor .nav1 a:hover {
    background-color: white;
    color: black;
}

/**/

/* MAIN */

h2{
    padding: 10px 20px;
    text-align: center;
    color: #edf1f4;
}

h3{
    padding: 20px 20px;  
}

@keyframes glow {
    0% { background: radial-gradient(circle, rgba(51, 97, 143, 0.8) 0%, rgb(8, 50, 95) 100%); }
    /*25% { background: radial-gradient(circle, rgba(182, 184, 185, 0.9) 0%, rgb(188, 189, 190) 100%); }
    50% { background: radial-gradient(circle, rgba(182, 183, 184, 0.9) 0%, rgb(135, 136, 137) 100%); }
    75% { background: radial-gradient(circle, rgba(134, 134, 135, 0.9) 0%, rgb(100, 100, 101) 100%); }*/
    100% { background: radial-gradient(circle, rgba(11, 11, 111, 0.8) 0%, rgb(0, 0, 22) 100%); }
}

main {
    animation: glow 3s infinite alternate;
    /*background-color: rgb(10, 3, 77);*/
    width: 80%;
 }

.soluciones h2{
    text-align: center;
    color: #00274D;
}

 /* 🔹 Sección Soluciones en Lista */
 .soluciones {
    padding: 20px 20px;
    max-width: 1200px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    gap:10px; 

}

.solucion {
    flex: 1;
    text-align: center;
    flex-wrap: wrap;
    align-items: center;
    margin-bottom: 50px;
    background: white;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.solucion img {
    width: 100%;
    height: 80%;
    object-fit: cover;
}

.solucion a{
    text-decoration: none;
}

.solucion-texto {
    padding: 10px;
    width: 100%;
    text-align: center;
    font-size: 2rem;
    color:  #00274D;
     
}

.solucion-texto ul {
    list-style-type: none;
    padding: 0;
}

.solucion-texto li {
    font-size: 1em;
    font-weight: bold;
    color: #dd7d45;
    margin: 5px 0;
}

.solucion:nth-child(even) {
    flex-direction: row-reverse;
}

/* 🔹 Sección Brochures */

.brochures {
    padding: 20px 20px;
    max-width: 1200px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    gap:10px; 
}

.brochure {

    flex: 1;
    text-align: center;
    flex-wrap: wrap;
    justify-items: center;
    align-items: center;
    margin-bottom: 50px;
    background: white;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    width: 100%;
}

.brochure a{
    flex-wrap: wrap;
    width: 230px;
    height: 330px;
    align-items: center;

    
}



.brochure a img{
    align-items: center;
}

.btn-descargar {
    display: flex;
    align-items: center;
    background-color: #5c6166; /* Color azul */
    color: white;
    border: none;
    padding: 10px 15px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    transition: background 0.3s;
   
         
}

/* Cambiar color al pasar el mouse */
.btn-descargar:hover {
    background-color: #0056b3;
}

/* Icono dentro del botón */
.btn-descargar img {
    
    
    width: 200px;
    height: 300px;
    margin-right: 10px; /* Espacio entre el icono y el texto */
    align-items: center;
   
}










/* 🔹 Sección Clientes y Proveedores */
.clientes-proveedores {
    padding: 10px 10px;
    text-align: center;
    background: #00274D;
    color: white;
}

.logos-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    margin-top: 20px;
}

.logos-container img {
    width: 150px;
    height: auto;
    filter: grayscale(100%);
    transition: 0.3s;
}

.logos-container img:hover {
    filter: grayscale(0%);
}

/* 🔹 Botón flotante de WhatsApp */
.whatsapp {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background: #25D366;
    color: white;
    padding: 15px;
    border-radius: 50%;
    font-size: 2em;
    text-align: center;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s;
}

.whatsapp:hover {
    transform: scale(1.1);
}






/* Footer */

/* contenedor principal de footer*/

footer {
    width: 100%;
}

footer .contenedor_foot {

    background: rgba(0, 0, 0, 0.2); /* Fondo oscuro transparente */
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.contenedor_foot{
    display: flex;
    justify-content: space-between;
}

.cont_foot{
    background-color: rgba(97, 99, 104, 1);
    color: white;
    text-align: center;
    padding: 20px;
    flex: 1;  /* Hace que los divs ocupen el mismo espacio */
    border-radius: 10px;
}

.cont_foot img{
    width: 50%;
}

.cont_foot a{
    text-decoration: none;
    color: inherit;
}


footer h2{
    font-size: 3rem;
    font-family: "Oswald", sans-serif; 
}

footer p{
    font-size: 2rem;
    font-family: "Oswald", sans-serif;
}




/* Responsividad */
@media (max-width: 768px) {
    .covertor {
        width: 90%;
        padding: 15px;
    }

    .titulo a{
        font-size: 16px;
        
    }

    .menu-toggle {
        display: block;
    }

    .nav-links {
        display: none;
        flex-direction: column;
        text-align: center;
        background: rgba(0, 0, 0, 0.7);
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
    }

    .nav-links.active {
        display: flex;
    }

    .nav-links a {
        padding: 10px;
        display: block;
    }


    /* MEDIA DE PRINCIPAL*/

    .soluciones {
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
    }
    .solucion{
        width: 80%;
    }

    .brochures {
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
    }
    .brochure{
        width: 80%;
    }


    /* MEDIA DE FOOTER*/

    .contenedor_foot{
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
    }
    
    .cont_foot{
        width: 100%;
    }

}